<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><title>Python: module Collatz</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
</head><body bgcolor="#f0f0f8">

<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="heading">
<tr bgcolor="#7799ee">
<td valign=bottom>&nbsp;<br>
<font color="#ffffff" face="helvetica, arial">&nbsp;<br><big><big><strong>Collatz</strong></big></big></font></td
><td align=right valign=bottom
><font color="#ffffff" face="helvetica, arial"><a href=".">index</a><br><a href="file:/home/nathan/Desktop/School/CS373%20-%20SWE/Projects/Project%201%20v2/cs373-collatz/Collatz.py">/home/nathan/Desktop/School/CS373 - SWE/Projects/Project 1 v2/cs373-collatz/Collatz.py</a></font></td></tr></table>
    <p><tt>#&nbsp;pylint:&nbsp;disable&nbsp;=&nbsp;invalid-name<br>
#&nbsp;pylint:&nbsp;disable&nbsp;=&nbsp;missing-docstring</tt></p>
<p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#eeaa77">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#ffffff" face="helvetica, arial"><big><strong>Functions</strong></big></font></td></tr>
    
<tr><td bgcolor="#eeaa77"><tt>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</tt></td><td>&nbsp;</td>
<td width="100%"><dl><dt><a name="-collatz"><strong>collatz</strong></a>(n: int) -&gt; int</dt></dl>
 <dl><dt><a name="-collatz_eval"><strong>collatz_eval</strong></a>(t: tuple[int, int]) -&gt; tuple[int, int, int]</dt><dd><tt>:param&nbsp;t&nbsp;tuple&nbsp;of&nbsp;the&nbsp;range<br>
:return&nbsp;max&nbsp;cycle&nbsp;length&nbsp;of&nbsp;the&nbsp;range,&nbsp;inclusive</tt></dd></dl>
 <dl><dt><a name="-find_max"><strong>find_max</strong></a>(t: tuple[int, int]) -&gt; int</dt></dl>
</td></tr></table><p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#55aa55">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#ffffff" face="helvetica, arial"><big><strong>Data</strong></big></font></td></tr>
    
<tr><td bgcolor="#55aa55"><tt>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</tt></td><td>&nbsp;</td>
<td width="100%"><strong>__annotations__</strong> = {'cache': dict[int, int]}<br>
<strong>cache</strong> = {}</td></tr></table>
</body></html>